Subject: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Sep 2024 14:18:57 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: Sean Whitton <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sun, 01 Sep 2024 20:06:00 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Sean Whitton <[email-masked]>
> >> Date: Mon, 06 May 2024 17:51:48 +0100
> >> 
> >> On Mon 06 May 2024 at 05:46pm +01, Sean Whitton wrote:
> >> >
> >> > In bash on Linux [...]
> >> 
> >> I specifically called out Linux because while GNU readline has a
> >> unix-word-rubout command, C-w in the Linux tty is actually implemented
> >> in the Linux-specific tty layer, below readline.
> >
> > Evidently, the above is inaccurate, because I see the same behavior in
> > Bash on MS-Windows.
> 
> Ping.  I am not sure how to proceed on this patch.  IIRC the issue was
> that the notion of a word differs in Emacs and in Bash.  I am still in
> favour of utilising Emacs's definition, as it remains more useful
> for some given major mode and the fact that it is easier to implement.

Or you could make the defcustom a tristate, and implement both
behaviors...

As for how to proceed: Stefan and Andrea, do you have an opinion on
this?